#include "mainwindow.h"
#include "./ui_mainwindow.h"

MainWindow::MainWindow(QWidget* parent) : QMainWindow(parent), ui(new Ui::MainWindow) {
    ui->setupUi(this);
    balls.append(std::make_shared<Ball>(this));
}

MainWindow::~MainWindow() {
    delete ui;
}

void MainWindow::paintEvent(QPaintEvent*) {
    QPainter painter(this);

    painter.fillRect(rect(), Qt::darkGray);

    painter.setBrush(QBrush(Qt::white));
    painter.setPen(Qt::black);

    for (auto ball : balls) {
        ball->draw(painter);
    }
}
